Bug 138808 - CAN-2004-0941 additional overflows in gd
CAN-2004-0941 additional overflows in gd
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
public=20041110,impact=moderate
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 05:45 EST by Mark J. Cox (Product Security)
Modified: 2015-03-04 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-17 04:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for CAN-2004-0990 and CAN-2004-0941 (8.31 KB, patch)
2004-11-11 05:47 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-11 05:45:33 EST
Whilst creating a patch for CAN-2004-0990, Phil Knirsch discovered
addiitonal buffer overflow in the gd package.  These new overflows
affect calls to gdMalloc.

        CAN-2004-0941 Affects: 3
        CAN-2004-0941 Affects: 2.1
Comment 1 Mark J. Cox (Product Security) 2004-11-11 05:47:38 EST
Created attachment 106484 [details]
Patch for CAN-2004-0990 and CAN-2004-0941
Comment 2 Mark J. Cox (Product Security) 2004-12-17 04:55:00 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-638.html

Note You need to log in before you can comment on or make changes to this bug.